List pricing between two ports or datacentres

Get a list of prices for services between two ports or datacentres.

Request

Endpoint: /api/services/pricing
Method: GET
Headers: Accept: application/vnd.cloudlx.v1+json
Authorization: Bearer <access_token>

Example Request:

                                
    {
        "port_id": 1018,
        "service_port_id": 1017,
        "protected": 1
    }
                                
                            

Request Values - Optional

port_id Description The ID of the port
Type Integer
Example 1023
service_port_id Description The ID of the service port
Type Integer
Example 1744
a_datacentre Description The ID of the A end datacentre
Type Integer
Example 15
z_datacentre Description The ID of the Z end datacentre
Type Integer
Example 25
protected Description Whether the service is protected
Type Boolean
Example 1 (default value is 0)

Response

Example:

                                
    {
        "products": [
            {
                "id": 11241,
                "speed": "10Mbps",
                "speed_raw": 10000,
                "period_length": 12,
                "period_type": "month",
                "price": 41.14,
                "currency": "GBP"
            },
            {
                "id": 11242,
                "speed": "10Mbps",
                "speed_raw": 10000,
                "period_length": 24,
                "period_type": "month",
                "price": 82.28,
                "currency": "GBP"
            },
            ...
        ],
        "cloud_port": {
            "id": 1017,
            "name": "Amazon Web Services (Dublin)",
            "speed": null,
            "service_type": "AWS",
            "cloud_region": "eu-west-1",
            "datacentre": {
                "id": 543,
                "name": "Telehouse North",
                "city": {
                    "id": 43,
                    "name": "London",
                    "country": {
                        "id": 3,
                        "name": "United Kingdom",
                        "continent": {
                            "id": 1,
                            "name": "EMEA"
                        }
                    }
                }
            }
        }
    }
                                
                            
id Description ID of the service product
Type Integer
Example 11241
speed Description The speed of the service
Type String
Example "10Mbps"
speed_raw Description The speed of the service in kilobytes
Type Integer
Example 10000
period_length Description The number of period units which defines the duration of the service. See period_type below for the unit type.
Type Integer
Example 1
period_type Description The unit type of the period period_length.
Type String
Example "month"
price Description The numerical value cost for the service
Type Float
Example 41.14
currency Description The currency related to the price value
Type String
Example "GBP"
cloud_port Description The third party Cloud or Internet Exchange port the pricing is for. Present when either end of the priced connection is a Cloud or Internet Exchange port. Uses the same object as returned by the List available ports endpoint.
Type Object
Example See example above
cloud_port.cloud_region Description The cloud region the cloud port connects to. Only present within cloud_port for third party Cloud or Internet Exchange ports (for example AWS, GCP or Microsoft Azure).
Type String
Example "eu-west-1"

Back to top